## START: Set by rpmautospec
## (rpmautospec version 0.7.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global         pypi_name       pycryptodome

Version:        3.21.0

Name:           python-%{pypi_name}
Release:        %autorelease
Summary:        Low level cryptographic primitives

License:        BSD-3-Clause AND License-Ref-Public-Domain
URL:            https://www.pycryptodome.org/
VCS:            git:https://github.com/Legrandin/pycryptodome
Source:         %{pypi_source %pypi_name}

BuildRequires:  gcc
BuildRequires:  python3-devel
BuildRequires:  python3-pytest

%global _description %{expand:
PyCryptodome is a fork of PyCrypto. It brings several enhancements with
respect to the last official version of PyCrypto (2.6.1), for instance:
- Authenticated encryption modes (GCM, CCM, EAX, SIV, OCB)
- Accelerated AES on Intel platforms via AES-NI
- First class support for PyPy
- Elliptic curves cryptography (NIST P-curves; Ed25519, Ed448, Curve25519)
- Better and more compact API (nonce and iv attributes for ciphers, automatic
  generation of random nonces and IVs, simplified CTR cipher mode, and more)
- SHA-3 (including SHAKE XOFs) and BLAKE2 hash algorithms
- Salsa20 and ChaCha20 stream ciphers
- scrypt and HKDF
- Deterministic (EC)DSA and EdDSA
- Password-protected PKCS#8 key containers
- Shamir’s Secret Sharing scheme
- Random numbers get sourced directly from the OS (and not from a
  CSPRNG in userspace)
- Simplified install process, including better support for Windows
- Cleaner RSA and DSA key generation (largely based on FIPS 186-4)
- Major clean ups and simplification of the code base

PyCryptodome is not a wrapper to a separate C library like OpenSSL.
To the largest possible extent, algorithms are implemented in pure
Python. Only the pieces that are extremely critical to performance
(e.g. block ciphers) are implemented as C extensions.}

%description %_description

%package -n python3-%{pypi_name}
Summary:        %{summary}

%description -n python3-%{pypi_name} %_description


%prep
%autosetup -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files Crypto

%check
%pytest

%files -n python3-%{pypi_name} -f %{pyproject_files}
 
%changelog
## START: Generated by rpmautospec
* Tue Oct 22 2024 John Doe <packager@example.com> - 3.21.0-1
- Uncommitted changes
## END: Generated by rpmautospec
